Query Order
Atlas API queryOrderDetails.do reference for checking booking status, ticketing progress, and order details.
Use this endpoint to read the latest order state after order.do or pay.do.
Check orderStatus, ticketStatus, airline PNR details, and ticket numbers here.
Dependency: Order function should be called in prior to this call.
Please refer to the below information for the usage of the queryOrderDetails.do API.
All the parameters can be used together, if required.
“OrderNo” is “required” if “airlinePNR” and “carrier” cannot be provided upon calling the API. Inversely, “airlinePNR” and “carrier” are “required” if “OrderNo” cannot be provided. All remaining fields in the request are optional.
The PNR (Passenger Name Record) for an airline ticket order or a luggage purchase order must be kept consistent, as per airline regulations.
The input parameters orderNo, airlinePNR, carrier, and other optional fields will be validated together to ensure they belong to the same order data source. If any of these input parameters do not match with others, the API will return an error.
Airline ticket orders and associated post-booking ancillary orders can be retrieved using the following methods: (airline ticket orders + post-booking ancillary orders):
orderNo
airlinePNR + carrier
orderNo + airlinePNR + carrier
orderNo + airlinePNR + carrier + other optional parameters
In case the parameters of “airlinePNR” and “carrier” cannot identify an unique order (e.g BC - PNR is made up with 4 number), customer needs to enter additional parameters such as "name" for identification. In such scenarios, API will respond with error msg ”Multi-orderNos are identified, please request again with extra parameters added.”
Endpoint: https://sandbox.atriptech.com/queryOrderDetails.do
application/jsonapplication/jsongzipNAR65434_api_1<YOUR_CLIENT_SECRET>Order number of the order you want to retrieve
The pnrCode is the single reference for the booking. This is the Atlas PNR.
- 800: Order not exists
- 701: Multi-order are identified, please request again with extra parameters added
- 702: airlinePNR and carrier are mandatory to fill in for order retrieval, please check and request again
- 703: No order found, please check the parameter
- 704: Parameters don't match, please check and retry
- 705: Timeout
It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.
Order number
The pnrCode is the single reference for the booking. This is the Atlas PNR.
Order status
-0: Unpaid
-1: Ticketing-in-Process
-2: Ticketed
--3: Cancelled
Ticket status
-0: Ticket not issued
-1: Ticket issued
Total price(not include the technical service fee) of this order in the currency TheAtlas settled with you.
The currency TheAtlas settled with you.
Payment deadline for this order. This time will be displayed in SGT (GMT +8). The format is:yyyy-MM-dd HH:mm:ss
Total price of this order in the vendor's currency, reference for you to generate the specific credit card. If the order does not support VCC passthrough or BYOA, this fare will not be displayed.
The actual price charged by the airline, which is denominated in the airline's currency(vendorCurrency). We will only display the actual amount charged by the airline if the order supports VCC passthrough or BYOA, otherwise, this field will benull.
Total ancillary price of this order in the vendor's currency. If the order does not support VCC passthrough or BYOA, this fare will not be displayed.
Vendor's currency.
Total adult price of this order in the currency TheAtlas settled with you.
Total child price of this order in the currency TheAtlas settled with you.
Total infant price of this order in the currency TheAtlas settled with you.
Total ancillary price of this order in the currency TheAtlas settled with you.
Total technical fees for this order in the currency TheAtlas settled with you.
This tag shows which payment method is supported for that particular booking.
-1: Prepayment Only
-3: Both Credit Card Payment and Prepayment Available
This field has been deprecated, pls usesupportPaymentMethods instead.
This is the mode of payment used to pay for the booking. If the order is not paid, this field will benull.
The link to download the itinerary of the trip.
An error code used to indicate the specific reason for ticket issuance failure. Note that this error code will only be displayed when the order is canceled due to ticket issuance failure.
A brief message used to explain theerrorCode.
A piece of error message on the airline side that is used to explain theerrorCode.
Configuration of ordering when the seat is occupied.
Only used for VCC transparent transmission, indicating whether Atlas has initiated payment operations with the airline using your VCC. true/false/null (meaningless).
-true: Atlas has previously initiated a payment operation with the airline.
-false: Atlas has not initiated a payment operation with the airline.
-null: meaningless
Note:
true only indicates that Atlas has previously initiated a payment operation with the airline, and does not represent the payment result (successful or failed)
POST /queryOrderDetails.do HTTP/1.1
Accept: text
Accept-Encoding: text
x-atlas-client-id: NAR65434_api_1
x-atlas-client-secret: text
Content-Type: application/json
Content-Length: 36
{
"orderNo": "TESTA20250816160804096"
}{
"status": 0,
"msg": "success",
"orderNo": "TESTA20250210154142832",
"pnrCode": "XVOCMN",
"orderStatus": "2",
"ticketStatus": "1",
"paxTicketInfos": [
{
"name": "aaaaa/aaaaaabs",
"passengerType": 0,
"birthday": "19900101",
"gender": "M",
"cardNum": "636940383",
"cardType": "NATIONAL_ID_CARD",
"cardIssuePlace": "PT",
"cardExpired": "20250101",
"nationality": "US",
"ticketNos": [
"S77182"
],
"airlinePNRs": [
"S77182"
],
"contactEmails": [
"jane.smith@example.com"
],
"contactPhones": [
"0001-982736245"
],
"ancillaries": []
}
],
"totalPrice": 114.99,
"currency": "USD",
"tktLimitTime": "2025-02-11 16:31:43",
"vendorTotalPrice": 1281.9,
"vendorCost": 1346,
"vendorTotalAncillaryPrice": 0,
"vendorCurrency": "NOK",
"adultTotalFare": 114.99,
"childTotalFare": 114.99,
"infantTotalFare": 96.74,
"totalAncillaryPrice": 0,
"totalTransactionFee": 5,
"supportPaymentMethod": 3,
"supportPaymentMethods": [
1,
3,
5
],
"paymentMethod": 5,
"routing": {
"routingIdentifier": "TE9OX1BBUl8yXzIwMjUwODE4XzIwMjUwODIwXzFfMF8wfHR2aWluNjU0Mjh8MXwyNDIuMTRfMjQyLjE0XzY0LjE3XzIuMDBfNTUwLjQ1X1VTRHxMT05fUEFSXzFfMjAyNTA4MThfMjAyNTA4MjBfMV8wXzBeTEdXLVUyODQwNS0tQ0RHLTIwMjUwODE4MTY0MC0yMDI1MDgxODE4NTUtU3RhbmRhcmQtMS0jQ0RHLVUyODQxMC0tTEdXLTIwMjUwODIwMTkxMC0yMDI1MDgyMDE5MjAtU3RhbmRhcmQtMi1eMjQyLjE0XzI0Mi4xNF82NC4xN18yLjAwXzU1MC40NV5BRUNBRVVSX0FFQ15eQUVDMkxPTlBBUjIwMDIwMjUwODE4MjAyNTA4MjBeR0JQXjE3OC4zMl4xNzguMzJeNDcuMjVeMHwwfDIwMjUwODE2MTU1NzQ1fDB8MTc1NTMzMTA2NTU0MkJOYm1HfHx8fHwyLjAwfDN8MHx8bm9ybWFsfGZhbHNl.5FDcOQsu5zTUOBN/jPsM23gT5WuaPAs7g8AmH8q/m0U=",
"supportCreditTransPayment": "0",
"supportPaymentMethods": [
1,
5
],
"currency": "USD",
"adultPrice": 242.14,
"adultTax": 0,
"adultDetails": [
{
"code": "farePrice",
"type": "base",
"amount": 242.14,
"description": ""
},
{
"code": "tax",
"type": "tax",
"amount": 0,
"description": ""
}
],
"childPrice": 242.14,
"childTax": 0,
"childDetails": [
{
"code": "farePrice",
"type": "base",
"amount": 242.14,
"description": ""
},
{
"code": "tax",
"type": "tax",
"amount": 0,
"description": ""
}
],
"infantPrice": 64.17,
"infantTax": 0,
"infantDetails": [
{
"code": "farePrice",
"type": "base",
"amount": 64.17,
"description": ""
},
{
"code": "tax",
"type": "tax",
"amount": 0,
"description": ""
}
],
"infantAllowed": true,
"childMandatorySeatingFee": null,
"transactionFeePerPax": 2,
"transactionFee": 2,
"transactionFeeMode": "PER_PAX",
"fromSegments": [
{
"segmentIndex": 1,
"carrier": "U2",
"flightNumber": "U28405",
"depAirport": "LGW",
"depTime": "202508181640",
"arrAirport": "CDG",
"arrTime": "202508181855",
"stopCities": null,
"duration": 75,
"codeShare": false,
"cabin": "",
"cabinClass": 1,
"seatCount": 9,
"aircraftCode": "",
"depTerminal": "",
"arrTerminal": "",
"operatingCarrier": "",
"operatingFlightnumber": "",
"fareFamily": "Standard"
}
],
"retSegments": [
{
"segmentIndex": 2,
"carrier": "U2",
"flightNumber": "U28410",
"depAirport": "CDG",
"depTime": "202508201910",
"arrAirport": "LGW",
"arrTime": "202508201920",
"stopCities": null,
"duration": 70,
"codeShare": false,
"cabin": "",
"cabinClass": 1,
"seatCount": 9,
"aircraftCode": "",
"depTerminal": "",
"arrTerminal": "",
"operatingCarrier": "",
"operatingFlightnumber": "",
"fareFamily": "Standard"
}
],
"rule": {
"hasBaggage": 1,
"baggageElements": [
{
"segmentNo": 1,
"baggageType": "CabinBaggageUnderSeat",
"passengerType": 0,
"baggagePiece": 1,
"baggageWeight": 15,
"baggageSize": "45*36*20cm"
},
{
"segmentNo": 1,
"baggageType": "StandardCheckInBaggage",
"passengerType": 0,
"baggagePiece": 0,
"baggageWeight": 0,
"baggageSize": ""
},
{
"segmentNo": 2,
"baggageType": "CabinBaggageUnderSeat",
"passengerType": 0,
"baggagePiece": 1,
"baggageWeight": 15,
"baggageSize": "45*36*20cm"
},
{
"segmentNo": 2,
"baggageType": "StandardCheckInBaggage",
"passengerType": 0,
"baggagePiece": 0,
"baggageWeight": 0,
"baggageSize": ""
}
],
"refundRules": [
{
"refundType": 0,
"refundStatus": "T",
"refundMethod": "CASH_BACK_TO_ORIGINAL_PAYMENT",
"refundFee": 0,
"currency": "GBP",
"refNoshow": "T",
"refNoShowCondition": 0,
"refNoshowFee": 0,
"ruleDetailList": [
{
"status": "T",
"refundMethod": "CashBackToOriginalPayment",
"startMinute": 525600,
"endMinute": 0,
"amount": 0,
"currency": "GBP"
},
{
"status": "T",
"refundMethod": "CashBackToOriginalPayment",
"startMinute": 0,
"endMinute": -525600,
"amount": 0,
"currency": "GBP"
}
]
},
{
"refundType": 0,
"refundStatus": "T",
"refundMethod": "CASH_BACK_TO_ORIGINAL_PAYMENT",
"refundFee": 0,
"currency": "GBP",
"refNoshow": "T",
"refNoShowCondition": 0,
"refNoshowFee": 0,
"ruleDetailList": [
{
"status": "T",
"refundMethod": "CashBackToOriginalPayment",
"startMinute": 525600,
"endMinute": 0,
"amount": 0,
"currency": "GBP"
},
{
"status": "T",
"refundMethod": "CashBackToOriginalPayment",
"startMinute": 0,
"endMinute": -525600,
"amount": 0,
"currency": "GBP"
}
]
}
],
"changesRules": [
{
"changesType": 0,
"changesStatus": "T",
"changesFee": 0,
"currency": "GBP",
"revNoshow": "T",
"revNoShowCondition": 0,
"revNoshowFee": 0,
"ruleDetailList": [
{
"status": "H",
"startMinute": 525600,
"endMinute": 86400,
"amount": 30,
"currency": "GBP"
},
{
"status": "H",
"startMinute": 86400,
"endMinute": 120,
"amount": 49,
"currency": "GBP"
},
{
"status": "T",
"startMinute": 120,
"endMinute": 0,
"amount": 0,
"currency": "GBP"
},
{
"status": "T",
"startMinute": 0,
"endMinute": -525600,
"amount": 0,
"currency": "GBP"
}
]
},
{
"changesType": 0,
"changesStatus": "T",
"changesFee": 0,
"currency": "GBP",
"revNoshow": "T",
"revNoShowCondition": 0,
"revNoshowFee": 0,
"ruleDetailList": [
{
"status": "H",
"startMinute": 525600,
"endMinute": 86400,
"amount": 30,
"currency": "GBP"
},
{
"status": "H",
"startMinute": 86400,
"endMinute": 120,
"amount": 49,
"currency": "GBP"
},
{
"status": "T",
"startMinute": 120,
"endMinute": 0,
"amount": 0,
"currency": "GBP"
},
{
"status": "T",
"startMinute": 0,
"endMinute": -525600,
"amount": 0,
"currency": "GBP"
}
]
}
],
"serviceElements": [
{
"hasFreeSeat": 0,
"hasFreeMeal": 0
},
{
"hasFreeSeat": 0,
"hasFreeMeal": 0
}
]
},
"ancillaryProductElements": [
{
"ancillaryCode": "CBOL_1PC_15KG_MAXIMUM SIZE 56 X 45 X 25 CM",
"auxBaggageElement": {
"piece": 1,
"weight": 15,
"isAllWeight": true,
"size": "Maximum Size 56 x 45 x 25 cm"
},
"canPurchaseWithTicket": 1,
"canPurchasePostTicket": 0,
"categoryCode": "CabinBaggageOverheadLocker",
"clientTechnicalServiceFee": 0,
"currency": "USD",
"maxQty": 1,
"minQty": 1,
"price": 26.57,
"productCode": "CBOL_1PC_15KG_MAXIMUM SIZE 56 X 45 X 25 CM",
"segmentIndex": 1,
"vendorPrice": 19.56,
"vendorCurrency": "GBP"
},
{
"segmentIndex": 1,
"productCode": "SCI_BAG_1PC_15KG",
"canPurchaseWithTicket": 1,
"canPurchasePostTicket": 0,
"price": 27.12,
"currency": "USD",
"vendorPrice": 19.97,
"vendorCurrency": "GBP",
"clientTechnicalServiceFee": 0,
"auxBaggageElement": {
"piece": 1,
"weight": 15,
"isAllWeight": true,
"size": ""
},
"maxQty": 1,
"minQty": 1,
"categoryCode": "StandardCheckInBaggage",
"ancillaryCode": "SCI_BAG_1PC_15KG"
},
{
"segmentIndex": 1,
"productCode": "SCI_BAG_2PC_30KG",
"canPurchaseWithTicket": 1,
"canPurchasePostTicket": 0,
"price": 39.95,
"currency": "USD",
"vendorPrice": 29.42,
"vendorCurrency": "GBP",
"clientTechnicalServiceFee": 0,
"auxBaggageElement": {
"piece": 2,
"weight": 30,
"isAllWeight": true,
"size": ""
},
"maxQty": 1,
"minQty": 1,
"categoryCode": "StandardCheckInBaggage",
"ancillaryCode": "SCI_BAG_2PC_30KG"
},
{
"segmentIndex": 2,
"productCode": "CBOL_1PC_15KG_MAXIMUM SIZE 56 X 45 X 25 CM",
"canPurchaseWithTicket": 1,
"canPurchasePostTicket": 0,
"price": 41.67,
"currency": "USD",
"vendorPrice": 30.69,
"vendorCurrency": "GBP",
"clientTechnicalServiceFee": 0,
"auxBaggageElement": {
"piece": 1,
"weight": 15,
"isAllWeight": true,
"size": "Maximum Size 56 x 45 x 25 cm"
},
"maxQty": 1,
"minQty": 1,
"categoryCode": "CabinBaggageOverheadLocker",
"ancillaryCode": "CBOL_1PC_15KG_MAXIMUM SIZE 56 X 45 X 25 CM"
},
{
"segmentIndex": 2,
"productCode": "SCI_BAG_1PC_15KG",
"canPurchaseWithTicket": 1,
"canPurchasePostTicket": 0,
"price": 31.09,
"currency": "USD",
"vendorPrice": 22.9,
"vendorCurrency": "GBP",
"clientTechnicalServiceFee": 0,
"auxBaggageElement": {
"piece": 1,
"weight": 15,
"isAllWeight": true,
"size": ""
},
"maxQty": 1,
"minQty": 1,
"categoryCode": "StandardCheckInBaggage",
"ancillaryCode": "SCI_BAG_1PC_15KG"
},
{
"segmentIndex": 2,
"productCode": "SCI_BAG_2PC_30KG",
"canPurchaseWithTicket": 1,
"canPurchasePostTicket": 0,
"price": 74.57,
"currency": "USD",
"vendorPrice": 54.91,
"vendorCurrency": "GBP",
"clientTechnicalServiceFee": 0,
"auxBaggageElement": {
"piece": 2,
"weight": 30,
"isAllWeight": true,
"size": ""
},
"maxQty": 1,
"minQty": 1,
"categoryCode": "StandardCheckInBaggage",
"ancillaryCode": "SCI_BAG_2PC_30KG"
}
],
"vendorFare": null,
"links": [],
"separateBookings": false,
"refreshTime": null,
"expireTime": null,
"ancillarySupported": [
"seat",
"luggage"
],
"cardChargeList": [
{
"cardType": "Visa",
"percentage": 0.03,
"charge": null,
"currency": ""
},
{
"cardType": "MasterCard",
"percentage": 0.03,
"charge": null,
"currency": ""
}
]
},
"airlineBookings": [
{
"airlineCode": "D8",
"airlineName": "Norwegian Air Sweden",
"airlinePnr": "S77182",
"airlineWebSiteAddress": "https://www.norwegian.com",
"mmbEmail": "jane.smith@example.com",
"tailDigitsOfPaymentCard": null
}
],
"itineraryDownload": "http://121.40.236.223:8081/itineraryDownload.do?orderNo=FKEm34znpwya%2FiJBirhBW5YFgj2M7dX4",
"contact": {
"name": "Smith/Jane",
"address": "189, Sky Garden Walk/London/US/US",
"postcode": "EC3M 8AF",
"email": "jane.smith@example.com",
"mobile": "0001-982736245"
},
"errorCode": null,
"errorMessage": null,
"airlineMessage": null,
"locale": "",
"refundRules": [
{
"airline": "D8",
"ruleType": "1",
"passengerType": "",
"penaltyAmount": null,
"penaltyPercent": null,
"penaltyPercentBase": null,
"airlineFee": null,
"taxRefundable": false,
"fareRefundable": false,
"refundableAncillaries": null,
"startMinute": 525600,
"endMinute": 0,
"refundMethod": "CashBackToOriginalPayment"
},
{
"airline": "D8",
"ruleType": "1",
"passengerType": "",
"penaltyAmount": null,
"penaltyPercent": null,
"penaltyPercentBase": null,
"airlineFee": null,
"taxRefundable": false,
"fareRefundable": false,
"refundableAncillaries": null,
"startMinute": 0,
"endMinute": -525600,
"refundMethod": "CashBackToOriginalPayment"
},
{
"airline": "D8",
"ruleType": "0",
"passengerType": "",
"penaltyAmount": "0",
"penaltyPercent": 0,
"penaltyPercentBase": null,
"airlineFee": "0",
"taxRefundable": true,
"fareRefundable": true,
"refundableAncillaries": [],
"startMinute": 525600,
"endMinute": 300,
"refundMethod": "CashBackToOriginalPayment"
},
{
"airline": "D8",
"ruleType": "0",
"passengerType": "",
"penaltyAmount": "0",
"penaltyPercent": 0,
"penaltyPercentBase": null,
"airlineFee": "0",
"taxRefundable": true,
"fareRefundable": true,
"refundableAncillaries": [],
"startMinute": 525600,
"endMinute": -525600,
"refundMethod": "CashBackToOriginalPayment"
},
{
"airline": "D8",
"ruleType": "0",
"passengerType": "",
"penaltyAmount": null,
"penaltyPercent": null,
"penaltyPercentBase": null,
"airlineFee": null,
"taxRefundable": false,
"fareRefundable": false,
"refundableAncillaries": null,
"startMinute": 300,
"endMinute": -300,
"refundMethod": "CashBackToOriginalPayment"
},
{
"airline": "D8",
"ruleType": "0",
"passengerType": "",
"penaltyAmount": "0",
"penaltyPercent": 0,
"penaltyPercentBase": null,
"airlineFee": "0",
"taxRefundable": true,
"fareRefundable": true,
"refundableAncillaries": [],
"startMinute": -300,
"endMinute": -525600,
"refundMethod": "CashBackToOriginalPayment"
}
],
"ifSeatOccupied": "SIMILAR_SEAT",
"paymentOptions": null,
"payment": {
"paymentMethod": 5,
"serviceFee": {
"amount": 5,
"currency": "USD",
"deductFrom": "DEPOSIT"
},
"ticketFare": {
"amount": 111.41,
"currency": "EUR",
"deductFrom": "CARD"
},
"paymentFee": {
"amount": 4.8,
"currency": "EUR",
"deductFrom": "CARD"
},
"cardType": null
},
"paymentAttempted": null
}Last updated
Was this helpful?

